<?php

	$multi_advance_custom_css = '';
	
	$multi_advance_theme_color_first = get_theme_mod('multi_advance_theme_color_first');

	/*------------------ Theme Color Option -----------*/
	if ($multi_advance_theme_color_first) {
		$multi_advance_custom_css .= ':root {';
		$multi_advance_custom_css .= '--primary-color: ' . esc_attr($multi_advance_theme_color_first) . ' !important;';
		$multi_advance_custom_css .= '} ';
	}

	/*---------------------------Width Layout -------------------*/
	$multi_advance_theme_lay = get_theme_mod( 'multi_advance_theme_options','Default');
    if($multi_advance_theme_lay == 'Default'){
		$multi_advance_custom_css .='body{';
			$multi_advance_custom_css .='max-width: 100%;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_theme_lay == 'Container'){
		$multi_advance_custom_css .='body{';
			$multi_advance_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$multi_advance_custom_css .='}';
		$multi_advance_custom_css .='.serach_outer{';
			$multi_advance_custom_css .='width: 97.7%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_theme_lay == 'Box Container'){
		$multi_advance_custom_css .='body{';
			$multi_advance_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$multi_advance_custom_css .='}';
		$multi_advance_custom_css .='.serach_outer{';
			$multi_advance_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto; right:0';
		$multi_advance_custom_css .='}';
		$multi_advance_custom_css .='.page-template-custom-front-page #header{';
			$multi_advance_custom_css .='right:0;';
		$multi_advance_custom_css .='}';
	}

	/*------------- Button Settings option-------------------*/
	$multi_advance_button_padding_top_bottom = get_theme_mod('multi_advance_button_padding_top_bottom');
	$multi_advance_button_padding_left_right = get_theme_mod('multi_advance_button_padding_left_right');
	$multi_advance_custom_css .=' #comments .form-submit input[type="submit"],#category .explore-btn a{';
		$multi_advance_custom_css .='padding-top: '.esc_attr($multi_advance_button_padding_top_bottom).'px !important; padding-bottom: '.esc_attr($multi_advance_button_padding_top_bottom).'px !important; padding-left: '.esc_attr($multi_advance_button_padding_left_right).'px !important; padding-right: '.esc_attr($multi_advance_button_padding_left_right).'px !important; display:inline-block;';
	$multi_advance_custom_css .='}';

	$multi_advance_button_border_radius = get_theme_mod('multi_advance_button_border_radius');
	$multi_advance_custom_css .=' #comments .form-submit input[type="submit"], #category .explore-btn a{';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_button_border_radius).'px;';
	$multi_advance_custom_css .='}';

	/*------------------ Skin Option  -------------------*/
	$multi_advance_theme_lay = get_theme_mod( 'multi_advance_background_skin_mode','With Background');
    if($multi_advance_theme_lay == 'With Background'){
		$multi_advance_custom_css .='.page-box, #sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.front-page-content,.background-img-skin, .noresult-content{';
			$multi_advance_custom_css .='background-color: #fff;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_theme_lay == 'Transparent Background'){
		$multi_advance_custom_css .='.page-box-single, .page-box, #sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.front-page-content,.background-img-skin, .noresult-content{';
			$multi_advance_custom_css .='background-color: transparent;';
		$multi_advance_custom_css .='}';
	}

	/*------------ Woocommerce Settings  --------------*/
	$multi_advance_top_bottom_product_button_padding = get_theme_mod('multi_advance_top_bottom_product_button_padding', 10);
	$multi_advance_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce a.added_to_cart.wc-forward{';
		$multi_advance_custom_css .='padding-top: '.esc_attr($multi_advance_top_bottom_product_button_padding).'px; padding-bottom: '.esc_attr($multi_advance_top_bottom_product_button_padding).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_left_right_product_button_padding = get_theme_mod('multi_advance_left_right_product_button_padding', 16);
	$multi_advance_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce a.added_to_cart.wc-forward{';
		$multi_advance_custom_css .='padding-left: '.esc_attr($multi_advance_left_right_product_button_padding).'px; padding-right: '.esc_attr($multi_advance_left_right_product_button_padding).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_product_button_border_radius = get_theme_mod('multi_advance_product_button_border_radius', 0);
	$multi_advance_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce a.added_to_cart.wc-forward{';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_product_button_border_radius).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_show_related_products = get_theme_mod('multi_advance_show_related_products',true);
	if($multi_advance_show_related_products == false){
		$multi_advance_custom_css .='.related.products{';
			$multi_advance_custom_css .='display: none;';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_show_wooproducts_border = get_theme_mod('multi_advance_show_wooproducts_border', false);
	if($multi_advance_show_wooproducts_border == true){
		$multi_advance_custom_css .='.products li{';
			$multi_advance_custom_css .='border: 1px solid #767676;';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_top_bottom_wooproducts_padding = get_theme_mod('multi_advance_top_bottom_wooproducts_padding',0);
	$multi_advance_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$multi_advance_custom_css .='padding-top: '.esc_attr($multi_advance_top_bottom_wooproducts_padding).'px !important; padding-bottom: '.esc_attr($multi_advance_top_bottom_wooproducts_padding).'px !important;';
	$multi_advance_custom_css .='}';

	$multi_advance_left_right_wooproducts_padding = get_theme_mod('multi_advance_left_right_wooproducts_padding',0);
	$multi_advance_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$multi_advance_custom_css .='padding-left: '.esc_attr($multi_advance_left_right_wooproducts_padding).'px !important; padding-right: '.esc_attr($multi_advance_left_right_wooproducts_padding).'px !important;';
	$multi_advance_custom_css .='}';

	$multi_advance_wooproducts_border_radius = get_theme_mod('multi_advance_wooproducts_border_radius',0);
	$multi_advance_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_wooproducts_border_radius).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_wooproducts_box_shadow = get_theme_mod('multi_advance_wooproducts_box_shadow',0);
	$multi_advance_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$multi_advance_custom_css .='box-shadow: '.esc_attr($multi_advance_wooproducts_box_shadow).'px '.esc_attr($multi_advance_wooproducts_box_shadow).'px '.esc_attr($multi_advance_wooproducts_box_shadow).'px #e4e4e4;';
	$multi_advance_custom_css .='}';

	/*-------------- Footer Text -------------------*/

	$multi_advance_footer_heading = get_theme_mod( 'multi_advance_footer_heading','Left');
    if($multi_advance_footer_heading == 'Left'){
		$multi_advance_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$multi_advance_custom_css .='text-align: left !important;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_footer_heading == 'Center'){
		$multi_advance_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$multi_advance_custom_css .='text-align: center !important;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_footer_heading == 'Right'){
		$multi_advance_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$multi_advance_custom_css .='text-align: right !important;';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_footer_content = get_theme_mod( 'multi_advance_footer_content','Left');
    if($multi_advance_footer_content == 'Left'){
		$multi_advance_custom_css .='#footer .widget{';
		$multi_advance_custom_css .='text-align: left;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_footer_content == 'Center'){
		$multi_advance_custom_css .='#footer .widget{';
			$multi_advance_custom_css .='text-align: center;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_footer_content == 'Right'){
		$multi_advance_custom_css .='#footer .widget{';
			$multi_advance_custom_css .='text-align: right;';
		$multi_advance_custom_css .='}';
	}

	// Footer Icon Font Size
	$multi_advance_footer_icon_font_size = get_theme_mod('multi_advance_footer_icon_font_size');
	$multi_advance_custom_css .='.footer-social-icon a{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_footer_icon_font_size).'px;';
	$multi_advance_custom_css .='}';

	//footer icon color
	$multi_advance_footer_icon_color = get_theme_mod('multi_advance_footer_icon_color', '');
	$multi_advance_custom_css .='.footer-social-icon a{';
		$multi_advance_custom_css .='color: '.esc_attr($multi_advance_footer_icon_color).'!important;';
	$multi_advance_custom_css .='}';

	// Footer Heading Font Size
	$multi_advance_footer_font_size = get_theme_mod('multi_advance_footer_font_size');
	$multi_advance_custom_css .='#footer h3{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_footer_font_size).'px;';
	$multi_advance_custom_css .='}';

	// Footer heading font weight
	$multi_advance_footer_heading_font_weight = get_theme_mod('multi_advance_footer_heading_font_weight', '600');
  	$multi_advance_custom_css .='#footer h3{';
    $multi_advance_custom_css .='font-weight: '.esc_attr($multi_advance_footer_heading_font_weight).'!important;';
  	$multi_advance_custom_css .='}';

	// Footer Heading Text Transform
	$multi_advance_theme_lay = get_theme_mod( 'multi_advance_footer_text_tranform');
    if($multi_advance_theme_lay == 'Uppercase'){
		$multi_advance_custom_css .='#footer h3{';
			$multi_advance_custom_css .='text-transform: uppercase;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_theme_lay == 'Lowercase'){
		$multi_advance_custom_css .='#footer h3{';
			$multi_advance_custom_css .='text-transform: lowercase;';
		$multi_advance_custom_css .='}';
	}
	else if($multi_advance_theme_lay == 'Capitalize'){
		$multi_advance_custom_css .='#footer h3{';
			$multi_advance_custom_css .='text-transform: capitalize;';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_footer_content_font_size = get_theme_mod('multi_advance_footer_content_font_size', 16);
	$multi_advance_custom_css .='.copyright p{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_footer_content_font_size).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_copyright_padding = get_theme_mod('multi_advance_copyright_padding', 15);
	$multi_advance_custom_css .='.copyright{';
		$multi_advance_custom_css .='padding-top: '.esc_attr($multi_advance_copyright_padding).'px; padding-bottom: '.esc_attr($multi_advance_copyright_padding).'px;';
	$multi_advance_custom_css .='}';

	/*------ copyright text color -------*/
	$multi_advance_footer_text_color = get_theme_mod('multi_advance_footer_text_color');
	if($multi_advance_footer_text_color != false){
		$multi_advance_custom_css .='.copyright p, .copyright p a{';
			$multi_advance_custom_css .='color: '.esc_attr($multi_advance_footer_text_color).'!important;';
		$multi_advance_custom_css .='}';
	}

	/*------ copyright background css -------*/
	$multi_advance_footer_text_bg_color = get_theme_mod('multi_advance_footer_text_bg_color');
	if($multi_advance_footer_text_bg_color != false){
		$multi_advance_custom_css .='.copyright{';
			$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_footer_text_bg_color).';';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_footer_widget_bg_color = get_theme_mod('multi_advance_footer_widget_bg_color');
	$multi_advance_custom_css .='#footer{';
		$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_footer_widget_bg_color).'!important;';
	$multi_advance_custom_css .='}';

	$multi_advance_footer_widget_bg_image = get_theme_mod('multi_advance_footer_widget_bg_image');
	if($multi_advance_footer_widget_bg_image != false){
		$multi_advance_custom_css .='#footer{';
			$multi_advance_custom_css .='background: url('.esc_attr($multi_advance_footer_widget_bg_image).'); background-size: cover;';
		$multi_advance_custom_css .='}';
	}

	// scroll to top bg color
	$multi_advance_back_to_top_bg_color = get_theme_mod('multi_advance_back_to_top_bg_color');
	$multi_advance_custom_css .='#scroll-top{';
		$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_back_to_top_bg_color).';';
		$multi_advance_custom_css .='border-color: '.esc_attr($multi_advance_back_to_top_bg_color).';';
	$multi_advance_custom_css .='}';

	// scroll to top bg hover color
	$multi_advance_back_to_top_bg_hover_color = get_theme_mod('multi_advance_back_to_top_bg_hover_color');
	$multi_advance_custom_css .='#scroll-top:hover{';
		$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_back_to_top_bg_hover_color).';';
		$multi_advance_custom_css .='border-color: '.esc_attr($multi_advance_back_to_top_bg_hover_color).';';
	$multi_advance_custom_css .='}';

	// scroll to top
	$multi_advance_scroll_font_size_icon = get_theme_mod('multi_advance_scroll_font_size_icon', 22);
	$multi_advance_custom_css .='#scroll-top i{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_scroll_font_size_icon).'px;';
	$multi_advance_custom_css .='}';

	// button font size
	$multi_advance_button_font_size = get_theme_mod('multi_advance_button_font_size');
	$multi_advance_custom_css .='.page-box .box-img .read-more-btn a{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_button_font_size).'px;';
	$multi_advance_custom_css .='}';

	// button letter spacing
	$multi_advance_button_letter_spacing = get_theme_mod('multi_advance_button_letter_spacing');
	$multi_advance_custom_css .='.page-box .new-text .read-more-btn a{';
		$multi_advance_custom_css .='letter-spacing: '.esc_attr($multi_advance_button_letter_spacing).'px;';
	$multi_advance_custom_css .='}';

	// font weight
	$multi_advance_btn_font_weight = get_theme_mod('multi_advance_btn_font_weight');{
	$multi_advance_custom_css .='.page-box .box-img .read-more-btn a{';
	$multi_advance_custom_css .='font-weight: '.esc_attr($multi_advance_btn_font_weight).';';
	$multi_advance_custom_css .='}';
	}

	// Button Text Transform
	$multi_advance_theme_lay = get_theme_mod( 'multi_advance_button_text_transform','Uppercase');
    if($multi_advance_theme_lay == 'Uppercase'){
		$multi_advance_custom_css .='.page-box .box-img .read-more-btn a{';
			$multi_advance_custom_css .='text-transform: uppercase;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_theme_lay == 'Lowercase'){
		$multi_advance_custom_css .='.page-box .box-img .read-more-btn a{';
			$multi_advance_custom_css .='text-transform: lowercase;';
		$multi_advance_custom_css .='}';
	}
	else if($multi_advance_theme_lay == 'Capitalize'){
		$multi_advance_custom_css .='.page-box .box-img .read-more-btn a{';
			$multi_advance_custom_css .='text-transform: capitalize;';
		$multi_advance_custom_css .='}';
	}

	// Display Blog Post 
	$multi_advance_display_blog_page_post = get_theme_mod( 'multi_advance_display_blog_page_post','In Box');
    if($multi_advance_display_blog_page_post == 'Without Box'){
		$multi_advance_custom_css .='.page-box{';
			$multi_advance_custom_css .='box-shadow:none; margin:25px 0;';
		$multi_advance_custom_css .='}';
	}

	// Display Grid Post 
	$multi_advance_display_grid_page_post = get_theme_mod( 'multi_advance_display_grid_page_post','In Box');
    if($multi_advance_display_grid_page_post == 'Without Box'){
		$multi_advance_custom_css .='.page-box.grid-post{';
			$multi_advance_custom_css .='box-shadow:none; margin:25px 0;';
		$multi_advance_custom_css .='}';
	}

	// grid post content alignment
	$multi_advance_grid_post_alignment = get_theme_mod( 'multi_advance_grid_post_alignment','left');
    if($multi_advance_grid_post_alignment == 'Left'){
		$multi_advance_custom_css .='.grid-post .new-text{';
		$multi_advance_custom_css .='text-align: left!important;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_grid_post_alignment == 'Center'){
		$multi_advance_custom_css .='.grid-post .new-text{';
			$multi_advance_custom_css .='text-align: center!important;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_grid_post_alignment == 'Right'){
		$multi_advance_custom_css .='.grid-post .new-text{';
			$multi_advance_custom_css .='text-align: right!important;';
		$multi_advance_custom_css .='}';
	}

	// Post Alignment
	$multi_advance_blog_post_alignment = get_theme_mod( 'multi_advance_blog_post_alignment','Left');
    if($multi_advance_blog_post_alignment == 'Left'){
		$multi_advance_custom_css .='.our-services .page-box{';
		$multi_advance_custom_css .='text-align: left;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_blog_post_alignment == 'Center'){
		$multi_advance_custom_css .='.our-services .page-box{';
			$multi_advance_custom_css .='text-align: center;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_blog_post_alignment == 'Right'){
		$multi_advance_custom_css .='.our-services .page-box{';
			$multi_advance_custom_css .='text-align: right;';
		$multi_advance_custom_css .='}';
	}

	// Pagination Alignment
	$multi_advance_pagination_alignment = get_theme_mod( 'multi_advance_pagination_alignment','Left');
    if($multi_advance_pagination_alignment == 'Left'){
		$multi_advance_custom_css .='.pagination, .nav-links{';
		$multi_advance_custom_css .='float: left;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_pagination_alignment == 'Center'){
		$multi_advance_custom_css .='.pagination, .nav-links{';
			$multi_advance_custom_css .='justify-content: center; float: none;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_pagination_alignment == 'Right'){
		$multi_advance_custom_css .='.pagination, .nav-links{';
			$multi_advance_custom_css .='float: right;';
		$multi_advance_custom_css .='}';
	}

	/*---- Comment form ----*/
	$multi_advance_comment_width = get_theme_mod('multi_advance_comment_width', '100');
	$multi_advance_custom_css .='#comments textarea{';
		$multi_advance_custom_css .=' width:'.esc_attr($multi_advance_comment_width).'%;';
	$multi_advance_custom_css .='}';

	// Preloader
	$multi_advance_loader = get_theme_mod( 'multi_advance_responsive_preloader', true);
	if($multi_advance_loader == true && get_theme_mod( 'multi_advance_preloader_option', true) == false){
    	$multi_advance_custom_css .='#loader-wrapper{';
			$multi_advance_custom_css .='display:none;';
		$multi_advance_custom_css .='} ';
	}

	// responsive sidebar
	$multi_advance_resp_sidebar = get_theme_mod( 'multi_advance_sidebar_hide_show',true);
    if($multi_advance_resp_sidebar == true){
    	$multi_advance_custom_css .='@media screen and (max-width:575px) {';
		$multi_advance_custom_css .='#sidebar{';
			$multi_advance_custom_css .='display:block !important;';
		$multi_advance_custom_css .='} }';
	}else if($multi_advance_resp_sidebar == false){
		$multi_advance_custom_css .='@media screen and (max-width:575px) {';
		$multi_advance_custom_css .='#sidebar{';
			$multi_advance_custom_css .='display:none !important;';
		$multi_advance_custom_css .='} }';
	}

	// preloader background image
	$multi_advance_preloader_bg_image = get_theme_mod('multi_advance_preloader_bg_image');
	if($multi_advance_preloader_bg_image != false){
		$multi_advance_custom_css .='#loader-wrapper .loader-section, #loader-wrapper{';
			$multi_advance_custom_css .='background: url('.esc_attr($multi_advance_preloader_bg_image).'); background-size: cover;';
		$multi_advance_custom_css .='}';
	}

	// preloader background option
	$multi_advance_loader_background_color_first = get_theme_mod('multi_advance_loader_background_color_first');
	$multi_advance_custom_css .='#loader-wrapper .loader-section, #loader-wrapper{';
		$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_loader_background_color_first).'!important;';
	$multi_advance_custom_css .='} ';

	// breadcrumb color
	$multi_advance_breadcrumb_color = get_theme_mod('multi_advance_breadcrumb_color');
	$multi_advance_custom_css .='.bradcrumbs a, .bradcrumbs span{';
	$multi_advance_custom_css .='color: '.esc_attr($multi_advance_breadcrumb_color).';';
	$multi_advance_custom_css .='} ';

	// breadcrumb bg color
	$multi_advance_breadcrumb_bg_color = get_theme_mod('multi_advance_breadcrumb_bg_color');
	$multi_advance_custom_css .='.bradcrumbs a, .bradcrumbs span{';
	$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_breadcrumb_bg_color).';';
	$multi_advance_custom_css .='} ';

	// site title and tagline font size option
	$multi_advance_site_title_size_option = get_theme_mod('multi_advance_site_title_size_option', 30);{
	$multi_advance_custom_css .='.logo .site-title, .logo .site-title a{';
	$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_site_title_size_option).'px;';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_site_tagline_size_option = get_theme_mod('multi_advance_site_tagline_size_option', 13);{
	$multi_advance_custom_css .='.logo p{';
	$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_site_tagline_size_option).'px;';
		$multi_advance_custom_css .='}';
	}

	// woocommerce product sale settings
	$multi_advance_border_radius_product_sale = get_theme_mod('multi_advance_border_radius_product_sale',0);
	$multi_advance_custom_css .='.woocommerce span.onsale {';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_border_radius_product_sale).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_align_product_sale = get_theme_mod('multi_advance_align_product_sale', 'Right');
	if($multi_advance_align_product_sale == 'Right' ){
		$multi_advance_custom_css .='.woocommerce ul.products li.product .onsale{';
			$multi_advance_custom_css .=' left:auto; right:0;';
		$multi_advance_custom_css .='}';
	}elseif($multi_advance_align_product_sale == 'Left' ){
		$multi_advance_custom_css .='.woocommerce ul.products li.product .onsale{';
			$multi_advance_custom_css .=' left:0; right:auto;';
		$multi_advance_custom_css .='}';
	}

	$multi_advance_product_sale_font_size = get_theme_mod('multi_advance_product_sale_font_size',14);
	$multi_advance_custom_css .='.woocommerce span.onsale{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_product_sale_font_size).'px;';
	$multi_advance_custom_css .='}';

	// product sale padding top /bottom
	$multi_advance_sale_padding_top = get_theme_mod('multi_advance_sale_padding_top', '');
	$multi_advance_custom_css .='.woocommerce ul.products li.product .onsale{';
	$multi_advance_custom_css .='padding-top: '.esc_attr($multi_advance_sale_padding_top).'px !important; padding-bottom: '.esc_attr($multi_advance_sale_padding_top).'px !important;';
	$multi_advance_custom_css .='}';

	// product sale padding left/right
	$multi_advance_sale_padding_left = get_theme_mod('multi_advance_sale_padding_left', '');
	$multi_advance_custom_css .='.woocommerce ul.products li.product .onsale{';
	$multi_advance_custom_css .='padding-left: '.esc_attr($multi_advance_sale_padding_left).'px !important; padding-right: '.esc_attr($multi_advance_sale_padding_left).'px !important;';
	$multi_advance_custom_css .='}';

	// product sale margin top/bottom
	$multi_advance_sale_margin_top = get_theme_mod('multi_advance_sale_margin_top', '');
	$multi_advance_custom_css .='.woocommerce ul.products li.product .onsale{';
	$multi_advance_custom_css .='margin-top: '.esc_attr($multi_advance_sale_margin_top).'px !important; margin-bottom: '.esc_attr($multi_advance_sale_margin_top).'px !important;';
	$multi_advance_custom_css .='}';

	// woocommerce Product Navigation
	$multi_advance_products_navigation = get_theme_mod('multi_advance_products_navigation', 'Yes');
	if($multi_advance_products_navigation == 'No'){
		$multi_advance_custom_css .='.woocommerce nav.woocommerce-pagination{';
			$multi_advance_custom_css .='display: none;';
		$multi_advance_custom_css .='}';
	}

	// featured image setting
	$multi_advance_featured_img_border_radius = get_theme_mod('multi_advance_featured_img_border_radius', 0);
	$multi_advance_custom_css .='.our-services .page-box img, .our-services .grid-post .box-img{';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_featured_img_border_radius).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_featured_img_box_shadow = get_theme_mod('multi_advance_featured_img_box_shadow',0);
	$multi_advance_custom_css .='.our-services img{';
		$multi_advance_custom_css .='box-shadow: '.esc_attr($multi_advance_featured_img_box_shadow).'px '.esc_attr($multi_advance_featured_img_box_shadow).'px '.esc_attr($multi_advance_featured_img_box_shadow).'px #ccc;';
	$multi_advance_custom_css .='}';

	// featured image dimention
	$multi_advance_blog_image_dimension = get_theme_mod('multi_advance_blog_image_dimension', 'default');
	$multi_advance_feature_image_custom_width = get_theme_mod('multi_advance_feature_image_custom_width');
	$multi_advance_feature_image_custom_height = get_theme_mod('multi_advance_feature_image_custom_height');
	if($multi_advance_blog_image_dimension == 'custom'){
		$multi_advance_custom_css .='.our-services .page-box img{';
			$multi_advance_custom_css .='width: '.esc_attr($multi_advance_feature_image_custom_width).'px; height: '.esc_attr($multi_advance_feature_image_custom_height).'px;';
		$multi_advance_custom_css .='}';
	}

	// grid featured image setting
	$multi_advance_img_border_radius_grid_post = get_theme_mod('multi_advance_img_border_radius_grid_post', 0);
	$multi_advance_custom_css .='.our-services .grid-post img, .our-services .grid-post .box-img{';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_img_border_radius_grid_post).'px;';
	$multi_advance_custom_css .='}';

	//First Cap (Blog Page)
	$multi_advance_show_first_caps = get_theme_mod('multi_advance_show_first_caps', 'false');
	if($multi_advance_show_first_caps == 'true' ){
	$multi_advance_custom_css .='.page-box .entry-content p:nth-of-type(1)::first-letter{';
	$multi_advance_custom_css .=' font-size: 55px; font-weight: 600;';
	$multi_advance_custom_css .=' margin-right: 6px;';
	$multi_advance_custom_css .=' line-height: 1;';
	$multi_advance_custom_css .='}';
	}elseif($multi_advance_show_first_caps == 'false' ){
	$multi_advance_custom_css .='.page-box .entry-content p:nth-of-type(1)::first-letter {';
	$multi_advance_custom_css .='display: none;';
	$multi_advance_custom_css .='}';
	}

	//First Cap (Single Post)
	$multi_advance_single_post_first_caps = get_theme_mod('multi_advance_single_post_first_caps', 'false');
	if($multi_advance_single_post_first_caps == 'true' ){
	$multi_advance_custom_css .='.page-box-single .new-text .entry-content p:nth-of-type(1)::first-letter{';
	$multi_advance_custom_css .=' font-size: 55px; font-weight: 600;';
	$multi_advance_custom_css .=' margin-right: 6px;';
	$multi_advance_custom_css .=' line-height: 1;';
	$multi_advance_custom_css .='}';
	}elseif($multi_advance_single_post_first_caps == 'false' ){
	$multi_advance_custom_css .='.page-box-single .new-text .entry-content p:nth-of-type(1)::first-letter {';
	$multi_advance_custom_css .='display: none;';
	$multi_advance_custom_css .='}';
	}

	// show/hide topbar
	$multi_advance_show_header = get_theme_mod( 'multi_advance_display_topbar', true);
	if($multi_advance_show_header == false){
		$multi_advance_custom_css .='.main-menu{';
			$multi_advance_custom_css .='margin: 10px 0;';
		$multi_advance_custom_css .='}';
		$multi_advance_custom_css .='.logo{';
			$multi_advance_custom_css .='padding: 10px 0;';
		$multi_advance_custom_css .='}';
	}

	// Menu Text Transform
	$multi_advance_theme_lay = get_theme_mod( 'multi_advance_text_tranform_menu','Uppercase');
    if($multi_advance_theme_lay == 'Uppercase'){
		$multi_advance_custom_css .='.primary-navigation a{';
			$multi_advance_custom_css .='text-transform: uppercase;';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_theme_lay == 'Lowercase'){
		$multi_advance_custom_css .='.primary-navigation a{';
			$multi_advance_custom_css .='text-transform: lowercase;';
		$multi_advance_custom_css .='}';
	}
	else if($multi_advance_theme_lay == 'Capitalize'){
		$multi_advance_custom_css .='.primary-navigation a{';
			$multi_advance_custom_css .='text-transform: capitalize;';
		$multi_advance_custom_css .='}';
	}

	// menu font size
	$multi_advance_menus_font_size = get_theme_mod('multi_advance_menus_font_size',12);
	$multi_advance_custom_css .='.primary-navigation a, .primary-navigation ul ul a, .sf-arrows .sf-with-ul:after, #menu-sidebar .primary-navigation a{';
		$multi_advance_custom_css .='font-size: '.esc_attr($multi_advance_menus_font_size).'px;';
	$multi_advance_custom_css .='}';

	// font weight
	$multi_advance_menu_weight = get_theme_mod('multi_advance_menu_weight');{
		$multi_advance_custom_css .='.primary-navigation a, .primary-navigation ul ul a, .sf-arrows .sf-with-ul:after, #menu-sidebar .primary-navigation a{';
			$multi_advance_custom_css .='font-weight: '.esc_attr($multi_advance_menu_weight).';';
		$multi_advance_custom_css .='}';
	}

	// menu padding
	$multi_advance_menus_padding = get_theme_mod('multi_advance_menus_padding');
	$multi_advance_custom_css .='.primary-navigation a, .primary-navigation ul ul a{';
		$multi_advance_custom_css .='padding: '.esc_attr($multi_advance_menus_padding).'px !important;';
	$multi_advance_custom_css .='}';

	// Menu hover effect
	$multi_advance_menus_item = get_theme_mod( 'multi_advance_menus_item_style','None');
    if($multi_advance_menus_item == 'None'){
		$multi_advance_custom_css .='.primary-navigation ul a{';
			$multi_advance_custom_css .='';
		$multi_advance_custom_css .='}';
	}else if($multi_advance_menus_item == 'Zoom In'){
		$multi_advance_custom_css .='.primary-navigation ul a:hover{';
			$multi_advance_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$multi_advance_custom_css .='}';
	}

	// Menu Color Option
	$multi_advance_menu_color_settings = get_theme_mod('multi_advance_menu_color_settings');
	$multi_advance_custom_css .='.primary-navigation ul li a{';
		$multi_advance_custom_css .='color: '.esc_attr($multi_advance_menu_color_settings).';';
	$multi_advance_custom_css .='} ';

	// Menu Hover Color Option
	$multi_advance_menu_hover_color_settings = get_theme_mod('multi_advance_menu_hover_color_settings');
	$multi_advance_custom_css .='.primary-navigation ul li a:hover {';
		$multi_advance_custom_css .='color: '.esc_attr($multi_advance_menu_hover_color_settings).'!important;';
	$multi_advance_custom_css .='} ';

	$multi_advance_custom_css .='.primary-navigation ul li a:hover, .sf-arrows ul li > .sf-with-ul:focus:after, .sf-arrows ul li:hover > .sf-with-ul:after, .sf-arrows .sfHover > .sf-with-ul:after, .primary-navigation ul li.current-menu-item a {';
	$multi_advance_custom_css .='color: '.esc_attr($multi_advance_menu_hover_color_settings).'!important;';
	$multi_advance_custom_css .='} ';
	$multi_advance_custom_css .='.primary-navigation ul li a:hover:before, .primary-navigation ul li.current-menu-item a:before {';
	$multi_advance_custom_css .='background-color: '.esc_attr($multi_advance_menu_hover_color_settings).'!important;';
	$multi_advance_custom_css .='} ';

	// Submenu Color Option
	$multi_advance_submenu_color_settings = get_theme_mod('multi_advance_submenu_color_settings');
	$multi_advance_custom_css .='.primary-navigation ul.sub-menu li a, .primary-navigation ul.children li a {';
		$multi_advance_custom_css .='color: '.esc_attr($multi_advance_submenu_color_settings).'!important;';
	$multi_advance_custom_css .='} ';

	// Submenu Hover Color Option
	$multi_advance_submenu_hover_color_settings = get_theme_mod('multi_advance_submenu_hover_color_settings');
	$multi_advance_custom_css .='.primary-navigation ul.sub-menu li a:hover, .primary-navigation ul.children li a:hover {';
	$multi_advance_custom_css .='color: '.esc_attr($multi_advance_submenu_hover_color_settings).'!important;';
	$multi_advance_custom_css .='} ';

	// site tagline color
	$multi_advance_site_tagline_color = get_theme_mod('multi_advance_site_tagline_color');
	$multi_advance_custom_css .='.logo p {';
		$multi_advance_custom_css .='color: '.esc_attr($multi_advance_site_tagline_color).' !important;';
	$multi_advance_custom_css .='}';

	// site title color
	$multi_advance_site_title_color = get_theme_mod('multi_advance_site_title_color');
	$multi_advance_custom_css .='.site-title a{';
		$multi_advance_custom_css .='color: '.esc_attr($multi_advance_site_title_color).' !important;';
	$multi_advance_custom_css .='}';

	// site top-bottom logo padding 
	$multi_advance_logo_padding_top = get_theme_mod('multi_advance_logo_padding_top', '');
	$multi_advance_custom_css .='.logo{';
	$multi_advance_custom_css .='padding-top: '.esc_attr($multi_advance_logo_padding_top).'px; padding-bottom: '.esc_attr($multi_advance_logo_padding_top).'px;';
	$multi_advance_custom_css .='}';

	// site left-right logo padding 
	$multi_advance_logo_padding_left = get_theme_mod('multi_advance_logo_padding_left', '');
	$multi_advance_custom_css .='.logo{';
	$multi_advance_custom_css .='padding-left: '.esc_attr($multi_advance_logo_padding_left).'px; padding-right: '.esc_attr($multi_advance_logo_padding_left).'px;';
	$multi_advance_custom_css .='}';

	// site top-bottom logo margin 
	$multi_advance_logo_margin_top = get_theme_mod('multi_advance_logo_margin_top', '');
	$multi_advance_custom_css .='.logo{';
	$multi_advance_custom_css .='margin-top: '.esc_attr($multi_advance_logo_margin_top).'px; margin-bottom: '.esc_attr($multi_advance_logo_margin_top).'px;';
	$multi_advance_custom_css .='}';

	// site left-right logo margin
	$multi_advance_logo_margin_left = get_theme_mod('multi_advance_logo_margin_left', '');
	$multi_advance_custom_css .='.logo{';
	$multi_advance_custom_css .='margin-left: '.esc_attr($multi_advance_logo_margin_left).'px; margin-right: '.esc_attr($multi_advance_logo_margin_left).'px;';
	$multi_advance_custom_css .='}';

	// toggle button color 
	$multi_advance_taggle_menu_bg_color_settings = get_theme_mod('multi_advance_taggle_menu_bg_color_settings', '');
	$multi_advance_custom_css .='.toggle-menu i {';
	$multi_advance_custom_css .='background-color:'.esc_attr($multi_advance_taggle_menu_bg_color_settings).'!important';
	$multi_advance_custom_css .='}';

	// single post image setting
	$multi_advance_single_post_img_border_radius = get_theme_mod('multi_advance_single_post_img_border_radius', 0);
	$multi_advance_custom_css .='.page-box-single .box-img img{';
		$multi_advance_custom_css .='border-radius: '.esc_attr($multi_advance_single_post_img_border_radius).'px;';
	$multi_advance_custom_css .='}';

	$multi_advance_single_post_img_box_shadow = get_theme_mod('multi_advance_single_post_img_box_shadow',0);
	$multi_advance_custom_css .='.page-box-single .box-img img{';
		$multi_advance_custom_css .='box-shadow: '.esc_attr($multi_advance_single_post_img_box_shadow).'px '.esc_attr($multi_advance_single_post_img_box_shadow).'px '.esc_attr($multi_advance_single_post_img_box_shadow).'px #ccc;';
	$multi_advance_custom_css .='}';

	/*----Comment title text----*/
	$multi_advance_title_comment_form = get_theme_mod('
		multi_advance_title_comment_form', 'Leave a Reply');
	if($multi_advance_title_comment_form == ''){
	$multi_advance_custom_css .='#comments h2#reply-title {';
	$multi_advance_custom_css .='display: none;';
	$multi_advance_custom_css .='}';
	}

	/*----Comment button text----*/
	$multi_advance_comment_form_button_content = get_theme_mod('multi_advance_comment_form_button_content', 'Post Comment');
	if($multi_advance_comment_form_button_content == ''){
	$multi_advance_custom_css .='#comments p.form-submit {';
	$multi_advance_custom_css .='display: none;';
	$multi_advance_custom_css .='}';
	}